/* 
 * Copyright (c) 2018 UWE Technologies Corp., Ltd. All Rights Reserved.
  *
 * Filename:  stdio.h
 *
 * Description: 
 *	
 *
 * Modification History:
 *  Date          By            Summary
 *  ------------  ------------  -----------------------
 *  Jan 29, 2018  James Gan     Modified from umon
 *
 */
 
#ifndef __STDIO_H_
#define __STDIO_H_

#include <stddef.h>


#include "types.h"

#if LIBC_PRINTF_ENABLED

int vsnprintf(char *buf, int bsize, const char *fmt, va_list ap);
int snprintf(char *buf, int bsize, const char *fmt, ...);
int sprintf(char *buf, const char *fmt, ...);
int printf(const char *fmt, ...);

#else

#define vsnprintf(buf,bsize,fmt,ap)
#define snprintf(buf,bsize,fmt,...)
#define sprintf(buf,bsize,fmt,...)
#define printf(buf,bsize,fmt,...)

#endif /* #if LIBC_PRINTF_ENABLED */


int putchar(int c);
int puts(const char *str);



#endif /* #ifndef __STDIO_H_ */
 
